Bug 188692 - "Force Quit" in Dual Head configuration shows confirmation dialog on wrong desktop.
"Force Quit" in Dual Head configuration shows confirmation dialog on wrong de...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 02:13 EDT by Van de Bugger
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:34:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Van de Bugger 2006-04-12 02:13:27 EDT
Description of problem:

I have dual head videocard and two monitors configured to run individual desktops:

Section "ServerLayout"
        Identifier     "Multihead layout"
        Screen      0  "Screen0" LeftOf "Screen1"
        Screen      1  "Screen1" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        Option      "Xinerama" "off"
        Option      "Clone" "off"
EndSection

If I press "Force Quit" button of GNOME panel located on first desktop (Screen
0), the informational window "Click on the window to force the application to
quit. To cancel press <ESC>." appeared on the first desktop, then I click on the
window I want to close, and "Force this application to exit?" confirmation
dialog is appered, again on the first desktop. It is right.

When I do the same on the second desktop (Screen 1), informational window is
appeared on the second display (it is ok), but confirmation dialog appears on
the *first* desktop, it is wrong. Confirmation dialog should appear on the same
desktop, in this case -- on the second one.

Version-Release number of selected component (if applicable):

gnome-panel-2.14.0-1

How reproducible:

Always.

Steps to Reproduce:
1. Set up dual head videocard and two monitors to run individual desktops.
2. Add "Force Quit" button to any panel on the second desktop.
3. Click "Force Quit" button on the panel on the second desktop, informational
window "Click on a window..." appears.
4. Click on any window on the second desktop.
  
Actual results:

Confirmation dialog "Force this application to exit?" appears on the *first*
desktop.

Expected results:

Confirmation dialog "Force this application to exit?" appears on the *second*
desktop.

Additional info:
Comment 1 Ray Strode [halfline] 2008-03-18 14:34:26 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.